Package com.databricks.jdbc.client.sqlexec

## Class PositionalStatementParameterListItem

- java.lang.Object
- - com.databricks.sdk.service.sql.StatementParameterListItem
  - - com.databricks.jdbc.client.sqlexec.PositionalStatementParameterListItem

    public class PositionalStatementParameterListItem
    extends com.databricks.sdk.service.sql.StatementParameterListItem

### Constructor Summary

Constructors
`PositionalStatementParameterListItem()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object o)`
`int` `getOrdinal()`
`int` `hashCode()`
`PositionalStatementParameterListItem` `setOrdinal​(int ordinal)`
`String` `toString()`

### Methods inherited from class com.databricks.sdk.service.sql.StatementParameterListItem

`getName, getType, getValue, setName, setType, setValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PositionalStatementParameterListItem

    public PositionalStatementParameterListItem()

### Method Detail

#### setOrdinal

    public PositionalStatementParameterListItem setOrdinal​(int ordinal)

#### getOrdinal

    public int getOrdinal()

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `com.databricks.sdk.service.sql.StatementParameterListItem`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `com.databricks.sdk.service.sql.StatementParameterListItem`

#### toString

    public String toString()

Overrides:
  `toString` in class `com.databricks.sdk.service.sql.StatementParameterListItem`